lv.eparaksts.validation

## Enum SignatureProfile

- java.lang.Object
- - java.lang.Enum<SignatureProfile>
  - - lv.eparaksts.validation.SignatureProfile

- All Implemented Interfaces:
    Serializable, Comparable<SignatureProfile>

      public enum SignatureProfile
      extends Enum<SignatureProfile>

  Signature profile enumeration.

  NOTE: Use SignatureQualification enumeration to determine the actual qualification of the signature.

  See Also:
    `SignatureQualification`, `SignatureValidationResult.getSignatureQualification()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCHIVED_SIGNATURE` ARCHIVED - LTA (Long Term Archive) signature profile.
    `BASIC_SIGNATURE` BASIC - B (Basic) signature profile.
    `PROPRIETARY_SIGNATURE` Proprietary (supported) signature profile.
    `QUALIFIED_SIGNATURE` QUALIFIED - LT (Long Term) signature profile.
    `UNKNOWN_SIGNATURE` Unknown (unsupported) signature profile.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static SignatureProfile` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignatureProfile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_SIGNATURE

          public static final SignatureProfile UNKNOWN_SIGNATURE

      Unknown (unsupported) signature profile.

    - #### PROPRIETARY_SIGNATURE

          public static final SignatureProfile PROPRIETARY_SIGNATURE

      Proprietary (supported) signature profile.

    - #### BASIC_SIGNATURE

          public static final SignatureProfile BASIC_SIGNATURE

      BASIC - B (Basic) signature profile.

    - #### QUALIFIED_SIGNATURE

          public static final SignatureProfile QUALIFIED_SIGNATURE

      QUALIFIED - LT (Long Term) signature profile.

    - #### ARCHIVED_SIGNATURE

          public static final SignatureProfile ARCHIVED_SIGNATURE

      ARCHIVED - LTA (Long Term Archive) signature profile.

  - ### Method Detail

    - #### values

          public static SignatureProfile[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureProfile c : SignatureProfile.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignatureProfile valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SignatureProfile>`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO